DOMDocument::saveXML
DOMDocument::schemaValidateSource
DOMDocument
PHP Manual

# DOMDocument::schemaValidate

Validates a document based on a schema

### Description

public bool DOMDocument::schemaValidate ( string `$filename` [, int `$flags` ] )

Validates a document based on the given schema file.

### Parameters

`filename`

  The path to the schema.

`flags`

  A bitmask of Libxml schema validation flags. Currently the only supported value is LIBXML_SCHEMA_CREATE. Available since PHP 5.5.2 and Libxml 2.6.14.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
5.5.2 | Added the `flags` parameter

### See Also

- DOMDocument::schemaValidateSource
- DOMDocument::relaxNGValidate
- DOMDocument::relaxNGValidateSource
- DOMDocument::validate